Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

IBM DB2 Information Disclosure Vulnerability (Linux)

Information

Severity

Severity

Medium

Family

Family

Databases

CVSSv2 Base

CVSSv2 Base

5.0

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:L/Au:N/C:P/I:N/A:N

Solution Type

Solution Type

Vendor Patch

Created

Created

13 years ago

Modified

Modified

4 years ago

Summary

This host is installed with IBM DB2 and is prone to Information Disclosure Vulnerability.

Insight

Insight

This flaw is due to the 'INNER JOIN' and 'OUTER JOIN' predicate which allows remote attackers to execute arbitrary queries.

Affected Software

Affected Software

IBM DB2 Enterprise Server 9.1 before 9.1 FP7. IBM DB2 Workgroup Server 9.1 before 9.1 FP7. IBM DB2 Express Server 9.1 before 9.1 FP7. IBM DB2 Personal Server 9.1 before 9.1 FP7. IBM DB2 Connect Server 9.1 before 9.1 FP7.

Solution

Solution

Apply the update described in the referenced advisory.

Common Vulnerabilities and Exposures (CVE)